=== debian/watch ===
version=4
opts="dversionmangle=auto, mode=git, uversionmangle=s/(\d\.\d\.\d)\.(.+)\.(.+)/$1-$2-$3/, pretty=describe" \
	https://github.com/chunkeey/@PACKAGE@.git HEAD debian
