## carl9170fw 1.9.9-450-gad1c721+dfsg

=== debian/changelog ===
carl9170fw (1.9.9-450-gad1c721+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload

  [ John Scott ]
  * New upstream version (Closes: #1091146)

  [ Ben Hutchings ]
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * Exclude tools/src/eeprom_fix binary from upstream source
  * d/copyright: Add entry for upstream metainfo.xml

 -- Bastian Germann <bage@debian.org>  Sun, 05 Jan 2025 15:18:11 +0000
