=== debian/control ===
Source: carl9170fw
Section: kernel
Priority: optional
Maintainer: John Scott <jscott@posteo.net>
Build-Depends:
 bison,
 cmake,
 debhelper-compat (= 13),
 flex,
 gcc-sh-elf,
 libnewlib-sh-elf-dev
Standards-Version: 4.6.0
Homepage: https://wireless.wiki.kernel.org/en/users/Drivers/carl9170
Vcs-Browser: https://salsa.debian.org/kernel-team/carl9170fw
Vcs-Git: https://salsa.debian.org/kernel-team/carl9170fw.git
Rules-Requires-Root: no

Package: firmware-carl9170
Architecture: all
Depends: ${misc:Depends}
Conflicts: firmware-linux-free (<< 20200122-5)
Built-Using: ${gcc-built-using}, newlib (= ${newlib-source-version})
Description: firmware for AR9170 USB wireless adapters
 This is the carl9170 firmware for Qualcomm Atheros AR9170
 802.11n USB wireless adapters. This gets loaded onto the
 device during use, and is intended to be used in conjunction
 with the carl9170 driver.
