## carl9170fw 1.9.9-686-ge7ba7bf+dfsg

=== debian/changelog ===
carl9170fw (1.9.9-686-ge7ba7bf+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version (Closes: #1112763)
  * Fix Homepage (Closes: #1116028)

 -- Bastian Germann <bage@debian.org>  Mon, 06 Oct 2025 11:49:11 +0200
