=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  gcc-sh-elf,
  libnewlib-sh-elf-dev
 Standards-Version: 4.6.0
-Homepage: https://wireless.wiki.kernel.org/en/users/Drivers/carl9170
+Homepage: https://wireless.docs.kernel.org/en/latest/en/users/drivers/carl9170.fw.html
 Vcs-Browser: https://salsa.debian.org/kernel-team/carl9170fw
 Vcs-Git: https://salsa.debian.org/kernel-team/carl9170fw.git
 Rules-Requires-Root: no
