## carl9170fw 1.9.9-690-gc6e7ab0

=== debian/changelog ===
carl9170fw (1.9.9-690-gc6e7ab0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * Build without branch hardening (Closes: #1123920)

 -- Bastian Germann <bage@debian.org>  Wed, 24 Dec 2025 01:26:58 +0100
