=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/buildopts.mk
 DEB_BUILD_OPTION_PARALLEL ?= 1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=-branch
 
 %:
 	dh $@ --builddirectory=carl9170-build
